Site Links
Home
Features
Documentation
Pricing & Order
Members Area
Support Options
UBBDev.com
UBBWiki.com
Who's Online Now
0 registered members (), 53 guests, and 184 spiders.
Key: Admin, Global Mod, Mod
Member Spotlight
Bad Frog
Bad Frog
Coast of Maine
Posts: 749
Joined: May 2008
Show All Member Profiles 
Top Posters(30 Days)
Gizmo 12
Ruben 5
M4TT 4
isaac 3
Morgan 2
Tijn 1
Latest Photos
Previous Thread
Next Thread
Print Thread
Upgrade PHP to what version? #253980
11/04/13 09:14 PM
11/04/13 09:14 PM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
I need to update my PHP from 5.1.6.

In reading about Threads 7.0, it appears that maybe I shouldn't upgrade past version 5.4.

Any thoughts on that?

Express Hosting
Express Hosting "We are the official hosting company of UBB.threads. Ask us about our free migration services to migrate your UBB.threads installation."
Re: Upgrade PHP to what version? [Re: Bill B] #253987
11/05/13 10:06 AM
11/05/13 10:06 AM
Joined: Dec 2003
Posts: 5,903
Lutz,FL
Ruben Offline

Ruben  Offline


Joined: Dec 2003
Posts: 5,903
Lutz,FL
Without looking it up again.
I would not go above php 5.3.X for now.
I recall 5.4 is where the issues start.


Blue Man Group


There is no such thing as stupid questions. Just stupid answers
Re: Upgrade PHP to what version? [Re: Bill B] #253990
11/05/13 11:37 AM
11/05/13 11:37 AM
Joined: Jul 2006
Posts: 4,722
Liverpool : England : UK
Mark S Offline
Mark S  Offline

Joined: Jul 2006
Posts: 4,722
Liverpool : England : UK
PHP Version 5.3.27 works ok with me.


BOOM !! Version v7.6.1.1
People who inspire me Isaac ME Gizmo
Re: Upgrade PHP to what version? [Re: Bill B] #253991
11/06/13 12:23 AM
11/06/13 12:23 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
I ended up with a "package" install from the host provider (Webintellects)... They punched it in for me.

PHP 5.4.21
MySQL 5.5.34

It's running, but a lot of users are complaing that some of their settings disappeared. And some guys can't see the EDIT button on any postings.... even ones they just made 1 minute ago.

Any thoughts on how to restore --- nevermind, I know THAT answer.

What about GROUP IMAGES? Any tips on resetting them for over 1,000 accounts?




--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #253992
11/06/13 12:44 AM
11/06/13 12:44 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Still suffering from my PHP/MySQL upgrade last night.

Where do I reset the TIMEZONE? It's kicking out hundreds of PHP Warnings that it's set to UTC and needs a valid setting.

Thanks in advance....


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #253993
11/06/13 01:22 AM
11/06/13 01:22 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Nevermind... i found the previous discussions about this - and the recommendation to NOT modify it in etc/php.ini

But I just did it in order to see if it fixes the hundreds of WARNINGs that I see posted in the log.


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #253994
11/06/13 01:43 AM
11/06/13 01:43 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Nope.. I can't let it continue... the php.ini change didn't work... I restarted Apache too.

Here's the error that is filling up my log files....
Quote:
PHP Warning: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.


Does anybody have a suggestion? Reminder this occurred less than 24 hours after a PHP and MySQL upgrade last night (actually 1 am this morning)....


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #253995
11/06/13 02:35 AM
11/06/13 02:35 AM
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
Gizmo Offline
UBB.threads Developer
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
You should be able to edit your .htaccess file and add in:
Code
SetEnv TZ America/Los_Angeles


A listing of timezones can be found here.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: Upgrade PHP to what version? [Re: Bill B] #253998
11/06/13 02:26 PM
11/06/13 02:26 PM
Joined: Dec 2003
Posts: 5,903
Lutz,FL
Ruben Offline

Ruben  Offline


Joined: Dec 2003
Posts: 5,903
Lutz,FL
Like I stated before.
PHP 5.4 is where the problems start.
I also recall a net new installation will fail for ubb 7.5.X due to a different engine is used in PHP 5.4.x compared to PHP 5.3.x and below. So the UBB installer fails.

All we can do at this point is hope we get a upgrade as promised soon.


Blue Man Group


There is no such thing as stupid questions. Just stupid answers
Re: Upgrade PHP to what version? [Re: Bill B] #253999
11/06/13 05:48 PM
11/06/13 05:48 PM
Joined: Jul 2006
Posts: 4,722
Liverpool : England : UK
Mark S Offline
Mark S  Offline

Joined: Jul 2006
Posts: 4,722
Liverpool : England : UK
Feel for you.
This could have been me if I had not seen the bug reports in time.

Ive just had a reinstall due to failing hard drive.
Hope you can work through the problems.

I didn't realise the installer would fail too.


BOOM !! Version v7.6.1.1
People who inspire me Isaac ME Gizmo
Re: Upgrade PHP to what version? [Re: Bill B] #254004
11/08/13 12:13 AM
11/08/13 12:13 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Thanks everybody. If things hadn't moved so quickly, I could have heeded your advice...

But the host admin took my "question" and "acted" on it before I saw the response. Probably the FIRST time that they have been so responsive. :-)

Everything seems to be working now, since I fixed the TIMEZONE issue. EXCEPT:

I'm getting hundreds of error/warnings about:

1) PHP Strict Standards:
Non-static method xxxlog::log() should not be called statically,

2) mysql_escape_string():
This function is deprecated; use mysql_real_escape_string() instead...

Dang, this takes me back a couple of years when I last messed around with PHP. This is the reason why I don't install every upgrade...

Again, thanks.


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #254007
11/08/13 12:42 AM
11/08/13 12:42 AM
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
Gizmo Offline
UBB.threads Developer
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
1. Check out this; describes possible fixes that you'll probably find helpful in fixing this issue.

2. This extension is deprecated as of PHP 5.5.0; code will need to be adapted to no longer use it.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: Upgrade PHP to what version? [Re: Gizmo] #254013
11/08/13 02:02 AM
11/08/13 02:02 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Thanks... I'll tackle it.


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #254016
11/09/13 02:45 AM
11/09/13 02:45 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
So I just upgraded
from PHP 5.1.6
to PHP 5.4.21
and I'm been fixing buggy issues for the past 4 days.

Tonight I got word of another app that I built a while back which is now throwing "array to string conversion" errors.

So -- SHOULD I DOWNGRADE my PHP installation? Back to 5.3.x?
(I'm not sure that I can fix these new errors.)


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #254018
11/09/13 03:15 AM
11/09/13 03:15 AM
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
Gizmo Offline
UBB.threads Developer
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 16,942
Portland, OR; USA
Well, eventually you'll have to fix them regardless... I figure, if you have the time to do it now, why put off the inevitable...


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: Upgrade PHP to what version? [Re: Bill B] #254023
11/09/13 08:22 PM
11/09/13 08:22 PM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Shucks... I wish that you hadn't said that. grin

I "think" that my app was built using V6.2. So, I wonder if I just import and recompile it using V7.0 -- would that maybe "fix" the problems??


--BIll B
Re: Upgrade PHP to what version? [Re: Bill B] #254135
11/29/13 11:02 PM
11/29/13 11:02 PM
Joined: Apr 2007
Posts: 4,313
SoCal, USA
SD Offline
Carpal Tunnel
SD  Offline
Carpal Tunnel
Joined: Apr 2007
Posts: 4,313
SoCal, USA
7.5.8 should be in the member's area for d/l sometime tomorrow. This will be compatible with php 5.4, 5.5 and mysql 5.6

2c

Re: Upgrade PHP to what version? [Re: Bill B] #254145
11/30/13 01:07 AM
11/30/13 01:07 AM
Joined: Oct 2006
Posts: 370
Issaquah, WA
Bill B Offline OP

enthusiast
Bill B  Offline OP

enthusiast
Joined: Oct 2006
Posts: 370
Issaquah, WA
Thanks Sir Dude... this was better than anything else that i found today on "Black Friday".... !!!


--BIll B

Shout Box
Today's Birthdays
No Birthdays
Recent Topics
Member being directed to "stopforumspam?"
by Lisanne. 07/14/18 10:27 AM
7.6.1.1 - Broken ReCaptcha (Not A Bug)
by M4TT. 07/01/18 06:02 PM
Control Panel / Transactions Username
by Morgan. 06/20/18 05:38 AM
random 500 server errors on post
by Bad Frog. 05/31/18 09:34 AM
Forum Statistics
Forums36
Topics35,126
Posts191,358
Members12,092
Most Online978
Jun 24th, 2007
Random Image
Powered by UBB.threads™ PHP Forum Software 7.6.2
(Preview build 20180524)